Subject: Re: Is this 32-bit NCM?y

From: Bjørn Mork <[email-masked]>
Date: Thu, 04 Dec 2014 10:55:06 +0100

Kevin Zhu <[email-masked]> writes:

> I will find it out. And I don't have v3.16 and I'm not going to upgrade
> my OS to that. Sorry. So I would just stick to v3.13.

Ouch.  well, OK.  I certainly hope you are at v3.13.10 or newer at
least.  Otherwise we know very well what the problem is...

One of the reasons for the series that went into v3.16 was making this
sort of debugging easier, enabling on-the-fly NCM aggregation parameter
tuning.  I'd certainly recommend taking advantage of it instead of
rebulding the driver every time you want to test the effect of some
minor change to the aggregation scheme.  And do feel free to add more
knobs if you need them.

Bjørn